[ubuntu/maverick] haskell-devscripts 0.7.9 (Accepted)

Iain Lane laney at ubuntu.com
Sat May 8 14:00:15 BST 2010


haskell-devscripts (0.7.9) unstable; urgency=low

  * dh_haskell_depends: Only include packages in substvars if they exist
    in debian/control.

haskell-devscripts (0.7.8) unstable; urgency=low

  * Parse cabal files more liberaly in hlibrary.mk
  * Wrong see also in dh_haskell_provides (Closes: #576504)

haskell-devscripts (0.7.7) unstable; urgency=low

  * Fix "Haskell cleanup fails if optional hlibrary.setup is missing"
    changing the way the shell conditional is done.  Thanks to Jonas
    Smedegaard <dr at jones.dk>. (Closes: #576447)

haskell-devscripts (0.7.6) unstable; urgency=low

  * Remove Dh_Haskell.pm.
  * source/format: Use 3.0 (native).
  * Fix "GREP_OPTIONS breaks build" cleaning GREP_OPTIONS in hlibrary.mk
    (Closes: #573925)
  * Move DEB_BUILD_DEPENDENCIES = build-arch to hlibrary.mk, instead of
    all packages debian/rules.
  * Fix "hlibrary.mk should do cleanup" by including Setup clean in the
    clean:: target of hlibrary.mk.  (Closes: #575128)

haskell-devscripts (0.7.5) unstable; urgency=low

  * hlibrary.mk: Create HASKELL_HIDE_PACKAGES variable, to make it
    possible to create packages hidden by default.
  * hlibrary.mk: Include package.conf file in md5sums, since it doesn't
    change.

Date: Thu, 22 Apr 2010 15:43:50 -0300
Changed-By: Iain Lane <laney at ubuntu.com>
Maintainer: Debian Haskell Group <pkg-haskell-maintainers at lists.alioth.debian.org>
Signed-By: Iain Lane <launchpad at orangesquash.org.uk>
Origin: debian/unstable
https://launchpad.net/ubuntu/maverick/+source/haskell-devscripts/0.7.9
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Origin: debian/unstable
Format: 1.8
Date: Thu, 22 Apr 2010 15:43:50 -0300
Source: haskell-devscripts
Binary: haskell-devscripts
Architecture: source
Version: 0.7.9
Distribution: maverick
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers at lists.alioth.debian.org>
Changed-By: Iain Lane <laney at ubuntu.com>
Description: 
 haskell-devscripts - Tools to help Debian developers build Haskell packages
Closes: 573925 575128 576447 576504
Changes: 
 haskell-devscripts (0.7.9) unstable; urgency=low
 .
   * dh_haskell_depends: Only include packages in substvars if they exist
     in debian/control.
 .
 haskell-devscripts (0.7.8) unstable; urgency=low
 .
   * Parse cabal files more liberaly in hlibrary.mk
   * Wrong see also in dh_haskell_provides (Closes: #576504)
 .
 haskell-devscripts (0.7.7) unstable; urgency=low
 .
   * Fix "Haskell cleanup fails if optional hlibrary.setup is missing"
     changing the way the shell conditional is done.  Thanks to Jonas
     Smedegaard <dr at jones.dk>. (Closes: #576447)
 .
 haskell-devscripts (0.7.6) unstable; urgency=low
 .
   * Remove Dh_Haskell.pm.
   * source/format: Use 3.0 (native).
   * Fix "GREP_OPTIONS breaks build" cleaning GREP_OPTIONS in hlibrary.mk
     (Closes: #573925)
   * Move DEB_BUILD_DEPENDENCIES = build-arch to hlibrary.mk, instead of
     all packages debian/rules.
   * Fix "hlibrary.mk should do cleanup" by including Setup clean in the
     clean:: target of hlibrary.mk.  (Closes: #575128)
 .
 haskell-devscripts (0.7.5) unstable; urgency=low
 .
   * hlibrary.mk: Create HASKELL_HIDE_PACKAGES variable, to make it
     possible to create packages hidden by default.
   * hlibrary.mk: Include package.conf file in md5sums, since it doesn't
     change.
Checksums-Sha1: 
 bd390e00fe5b79ab1acb8906a0b667da578cc5e7 1076 haskell-devscripts_0.7.9.dsc
 2ddf6ac7842a205863edb6f4953b3d039bc7a997 25384 haskell-devscripts_0.7.9.tar.gz
Checksums-Sha256: 
 772e737cf4086fbe684e75a14aa8620b287ceba5c900635a60039a837b3d7218 1076 haskell-devscripts_0.7.9.dsc
 2f21eacb10c10a5ef3d3b94bdfb1ddd6afefd8b1598b38edd048c6857d628ab4 25384 haskell-devscripts_0.7.9.tar.gz
Files: 
 7c84f1605e5658d5c202dd8d061dc24f 1076 haskell extra haskell-devscripts_0.7.9.dsc
 fbbe848ca327aa16ba86a70da49c6555 25384 haskell extra haskell-devscripts_0.7.9.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvlXwAACgkQPy0SnCC/zcdA0ACgnmor1x1VbDnV0jLw6jRdc65X
jWAAnjR6oBeK8PEoZukom4UXLd8ftFGr
=/Cqw
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list